
function toggle_active(ctl)
{
    ctl.parentElement.classList.toggle('is-active');
    //ctl.parentElement.parentElement.classList.toggle('is-parent-active');
}

function toggle_enlarger(ctl)
{
    var fullsize = ctl.children[0].children[0],
        thumb = ctl.children[0].children[1];

    if (fullsize.style.display == 'none') {
        fullsize.style.display = 'block';
        thumb.style.display = 'none';
    } else {
        fullsize.style.display = 'none';
        thumb.style.display = 'block';
    }
}

function switch_entry(ctl)
{
    if (event.target == ctl) {return;}
    var i;
    var x = document.getElementsByClassName('OALD9_entry');
    var ctl_id = ctl.id.substr(4);
    for (i = 0; i < x.length; i++) {
        if (x[i].id.substr(0, ctl_id.length) === ctl_id) {
            x[i].style.display = 'none';
        }
    }
    var target = event.target;
    while (target.tagName != 'BUTTON') {target = target.parentElement;}
    target.style.backgroundColor = '#4577bf';
    document.getElementById(target.id.substring(4)).style.display = 'block';

    for (i = 0; i < ctl.children.length; i++) {
        if (ctl.children[i] == target) {
            continue;
        }
        ctl.children[i].removeAttribute('style');//ctl.children[i].style.backgroundColor = '';
    }
}

/* for @topic dt */
function toggle_hide(ctl)
{
    ctl.classList.toggle('hide');
}

/*function toggle_chn()
{
    var x = document.getElementsByClassName('OALECD_chn');
    for (i = 0; i < x.length; i++) {
        if (x[i].style.display == 'inline') {
            x[i].style.display='none';
        } else {
            x[i].style.display='inline';
        }
    }
    x = document.getElementsByClassName('OALECD_tx');
    for (i = 0; i < x.length; i++) {
        if (x[i].style.display == 'inline') {
            x[i].style.display='none';
        } else {
            x[i].style.display='inline';
        }
    }
}*/

window.addEventListener('DOMContentLoaded', oald9);
function oald9(){
	var oalds=document.getElementsByClassName('OALD9_online');
	for (var i=0; i<oalds.length; ++i){
		wordFinderConfigeration(oalds[i]);
		translationIndividual(oalds[i]);
	}
}

function wordFinderConfigeration(oald){
	var word_finders = oald.querySelectorAll('.collapse[title="Wordfinder"]');
	for (var j=0; j<word_finders.length; ++j){
		var hd=word_finders[j].getElementsByClassName('heading')[0];
		if(!hd.hasAttribute('assigned')){
			var h_word=document.createElement('wordfinder-word');
			h_word.textContent=word_finders[j].getElementsByClassName('h1')[0].childNodes[0].textContent;
			hd.appendChild(h_word);
		}
	}
}

function translationIndividual(oald){
	if(!(translationIndividualByClassName(oald, 'OALECD_chn', 'inline')|
	translationIndividualByClassName(oald, 'OALECD_tx', 'inline'))){
		translation_button_remove(oald);
	}
}

function translationIndividualByClassName(oald, classN, disp){
	var cns=oald.getElementsByClassName(classN);
	if(!cns[0]) return false;
	for(var i=0; i<cns.length; ++i){
		var parentN=cns[i].parentNode;
		parentN.classList.add('translation_individual');
		var trans_blk=document.createElement('span');
		trans_blk.className='trans_blank';
		parentN.insertBefore(trans_blk, cns[i]);
		trans_blk.onclick=function(){
			this.style.display='none';
			this.nextSibling.style.display=disp;
		}
	}
	return true;
}

function translation_button_remove(oald){
	var btns=oald.getElementsByClassName('OALECD_trans');
	for(var i=0; i<btns.length; ++i){
		btns[i].style.display='none';
	}
}

//new loggle_chn
function toggle_chn(){
	var btns=document.getElementsByClassName('OALECD_trans');
	if(btns[0].hasAttribute('trans')){
		for(var j=0; j<btns.length; ++j) btns[j].removeAttribute('trans');
		toggle_chn_class('OALECD_chn', 'none');
		toggle_chn_class('OALECD_tx', 'none');
		toggle_chn_class('trans_blank', '');
	}
	else{
		for(j=0; j<btns.length; ++j) btns[j].setAttribute('trans', '');
		toggle_chn_class('OALECD_chn', 'inline');
		toggle_chn_class('OALECD_tx', 'inline');
		toggle_chn_class('trans_blank', 'none');
	}
}

function toggle_chn_class(classN, disp){
	var eles=document.getElementsByClassName(classN);
	for(var i=0; i<eles.length; ++i)
		eles[i].style.display=disp;
}